        function UserInput(lda, nb, nodes)
        implicit none

*
*     -- NPAC, Syracuse University --
*     Manish Parashar
*     April 1992
*

        integer UserInput
        integer nb, nodes, lda
        integer i, dim

        i = 1

        print *,'Enter Cube Size - (0-5):'
        read *,dim
        nodes = 2**dim

        print *,'Enter LDA - (0 exits):'
        read *,lda
        if (lda .le. 0) then
                i = 0
                goto 10
        endif

        print *,'Enter Blocksize - (0 exits):'
        read *,nb
        if (nb .le. 0) then
                i = 0
                goto 10
        endif

 10     UserInput = i

        return
        end

